Skip to main content
Version: 6.1

Adding Errors from Smart Beat Operation

POST /error​

Add errors that occurred during Smart Beat operation:

curl -k -XPOST https://<SBM_HOST>:7767/error

Header Input Parameters​

NameTypeDescription
ClientIPstringIP address of the host sending the request

Body Input Parameters​

NameTypeDescription
statusboolError presence status
guidstringUnique Smart Beat identifier
errortimestampstringError sending time
errorsobject arrayArray of objects with errors

Objects in the errors array have the following structure:

NameTypeDescription
appstringName of the resource where errors occurred
apperrorsstring arrayError content

Output Parameters​

Status of error submission processing on Smart Beat Manager.

Examples​

Example input parameters:

{
"status": true,
"guid": "12345",
"errortimestamp": "2020-01-01 00:00:30",
"errors":[
{
"app": "filebeat",
"apperrors": ["error1", "error2"]
},
{
"app": "scriptbeat",
"apperrors": ["error3", "error4"]
}
]

}